Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.servlet.mvc.exceptions
Class UnsupportedReturnValueException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.codehaus.groovy.grails.exceptions.GrailsException
                      org.codehaus.groovy.grails.web.servlet.mvc.exceptions.GrailsMVCException
                          org.codehaus.groovy.grails.web.servlet.mvc.exceptions.UnsupportedReturnValueException

All Implemented Interfaces:
  Serializable

    public class UnsupportedReturnValueException

extends GrailsMVCException

Thrown when the return value of a closure is unsupported.

If you are using a builder in your code and this exception is thrown you may need to return a null value at the end of the closure to avoid this exception.

Since:
  Jul 2, 2005
Author:
  Steven Devijver
See Also:
  Serialized Form

Constructor Summary
`UnsupportedReturnValueException()`
`UnsupportedReturnValueException(String arg0)`
`UnsupportedReturnValueException(String arg0, Throwable arg1)`
`UnsupportedReturnValueException(Throwable arg0)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnsupportedReturnValueException

    public UnsupportedReturnValueException()

### UnsupportedReturnValueException

    public UnsupportedReturnValueException(String arg0)

### UnsupportedReturnValueException

    public UnsupportedReturnValueException(String arg0,
                                           Throwable arg1)

### UnsupportedReturnValueException

    public UnsupportedReturnValueException(Throwable arg0)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2006 The Grails project